#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	apr
Version		:	1.7.4
Release		:	14.4.0.0%{?dist}
Summary		:	Apache Portable Runtime library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0 and BSD
URL		:	http://apr.apache.org/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	python3

Requires(post)	:	glibc
Requires(postun):	glibc

#-----------------------------------------------------------------------------
%description
The Apache Portable Runtime (APR) is a supporting library for
the Apache web server. It provides a set of application
programming interfaces (APIs) that map to the underlying
Operating System (OS). Where the OS doesn't support a particular
function, APR will provide an emulation. Thus programmers can
use the APR to make a program portable across different platforms. 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE NOTICE README
%{_libdir}/lib%{name}-1.so.*

#=============================================================================
%package		devel
Summary		:	APR library development kit

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}


#-----------------------------------------------------------------------------
%description		devel
This package provides the support files which can be
used to build applications using the APR library.
The mission of the Apache Portable Runtime (APR) is
to provide a free library of C data structures and
routines.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-1-config
%{_includedir}/%{name}-1/apr*.h
%{_libdir}/lib%{name}-1.so
%{_libdir}/pkgconfig/%{name}-1.pc
%{_datadir}/%{name}-1/build/*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

# regenerate configure script etc.
./buildconf
./configure							\
	--prefix=%{_prefix}					\
	--exec-prefix=%{_exec_prefix}				\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--with-installbuilddir=%{_datadir}/%{name}-1/build	\
	--disable-static					\
	--with-devrandom=/dev/urandom				\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Unpackaged files:
%{__rm} 						\
	%{buildroot}%{_libdir}/%{name}.exp
#-----------------------------------------------------------------------------
%changelog
